Bug 13623 - Enhance html for holds queue viewer
Summary: Enhance html for holds queue viewer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-26 16:28 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13623 - Enhance html for holds queue viewer (4.28 KB, patch)
2015-01-26 16:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13623 - Enhance html for holds queue viewer (4.26 KB, patch)
2015-01-26 16:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13623 - Enhance html for holds queue viewer (4.27 KB, patch)
2015-04-15 04:09 UTC, M. Tompsett
Details | Diff | Splinter Review
[Signed-off] Bug 13623 - Enhance html for holds queue viewer (4.44 KB, patch)
2015-04-15 06:47 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13623 - Enhance html for holds queue viewer (4.49 KB, patch)
2015-04-19 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13623: Follow-up: remove stray </p> tag (1.22 KB, patch)
2015-04-19 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-01-26 16:28:46 UTC
It would be very helpful from a css/scripting point of view if the author field in the holds queue report had a selectable class. In edition, it would be great if the biblionumber were easy to grab from a hidden div.
Comment 1 Kyle M Hall 2015-01-26 16:30:54 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-01-26 16:32:31 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-26 15:15:09 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/circ/view_holdsqueue.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/css/staff-global.css
Comment 4 M. Tompsett 2015-04-15 04:09:41 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-04-15 06:47:11 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-19 20:58:34 UTC
Created attachment 38143 [details] [review]
[PASSED QA] Bug 13623 - Enhance html for holds queue viewer

It would be very helpful from a css/scripting point of view if the
author field in the holds queue report had a selectable class. In
edition, it would be great if the biblionumber were easy to grab from a
hidden div.

Test Plan:
1) Apply this patch
2) Load the holds queue report ( view_holdsqueue.pl )
3) Inspect an author name with your web browser ( or view the html )
   a) Note the hq-author class of the wrapping div
   b) Note the hidden hq-biblionumber div

HTML appears as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2015-04-19 20:58:48 UTC
Created attachment 38144 [details] [review]
Bug 13623: Follow-up: remove stray </p> tag

Just removing a stray </p> tag.

I got problems when trying to check this page
with an HTML validator, would probaby be worth
checking.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-04-22 16:30:28 UTC
Patches pushed to master.

Thanks Bywater!